[neon/neon/settings/Neon/release] debian: add divert for /usr/share/applications/defaults.list from desktop-file-utils which is an obsolete file

Jonathan Esk-Riddell null at kde.org
Tue Feb 20 11:06:39 GMT 2024


Git commit a2a6da4a5edf5d2074ae985e66cba61c5b4f5166 by Jonathan Esk-Riddell.
Committed on 20/02/2024 at 10:55.
Pushed by jriddell into branch 'Neon/release'.

add divert for /usr/share/applications/defaults.list from desktop-file-utils which is an obsolete file

BUG: 481052

A  +10   -0    debian/neon-settings-2.preinst
A  +9    -0    debian/neon-settings-2.prerm

https://invent.kde.org/neon/neon/settings/-/commit/a2a6da4a5edf5d2074ae985e66cba61c5b4f5166

diff --git a/debian/neon-settings-2.preinst b/debian/neon-settings-2.preinst
new file mode 100644
index 0000000..6a0fa21
--- /dev/null
+++ b/debian/neon-settings-2.preinst
@@ -0,0 +1,10 @@
+#! /bin/sh
+
+set -e
+
+#DEBHELPER#
+
+DIVERT=`dpkg-divert --list neon-settings-2 | grep defaults.list` || true
+if [ ! "$DIVERT" ]; then
+  dpkg-divert --package neon-settings-2 --add /usr/share/applications/defaults.list
+fi
diff --git a/debian/neon-settings-2.prerm b/debian/neon-settings-2.prerm
new file mode 100644
index 0000000..545a600
--- /dev/null
+++ b/debian/neon-settings-2.prerm
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -e
+
+#DEBHELPER#
+
+if [ "$1" = remove ] || [ "$1" = deconfigure ]; then
+        dpkg-divert --package neon-settings2 --remove /usr/share/applications/defaults.list
+fi



More information about the Neon-commits mailing list